# Method: projects.locations.list

- [HTTP request](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations/list#body.request_body)
- [Response body](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations/list#body.aspect)

Lists information about the supported locations for this service.

### HTTP request

`GET https://networkservices.googleapis.com/v1beta1/{name=projects/*}/locations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The resource that owns the locations collection, if applicable. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` A filter to narrow down results to a preferred subset. The filtering language accepts strings like `"displayName=tokyo"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160). |
| `pageSize` | `integer` The maximum number of results to return. If not set, the service selects a default. |
| `pageToken` | `string` A page token received from the `nextPageToken` field in the response. Send that page token to receive the subsequent page. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/Shared.Types/ListLocationsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).